Package com.clickhouse.jdbc

# Class Main.Pojo

java.lang.Object
com.clickhouse.jdbc.Main.Pojo

Enclosing class:
  Main

public static class Main.Pojo extends Object

## Constructor Summary

Constructors
Constructor
Description
`Pojo()`

## Method Summary

Modifier and Type
Method
Description
`long[]`
`getArray()`
`byte`
`getByte()`
`LocalDateTime`
`getDateTime()`
`BigDecimal`
`getDecimal()`
`Object`
`getJson()`
`long`
`getLong()`
`Object[][]`
`getNested()`
`List<?>`
`getTuple()`
`void`
`setArray(long[] a)`
`void`
`setByte(byte b)`
`void`
`setDateTime(LocalDateTime t)`
`void`
`setDecimal(BigDecimal d)`
`void`
`setJson(Object j)`
`void`
`setLong(long l)`
`void`
`setNested(Object[][] n)`
`void`
`setTuple(List<?> p)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Pojo

public Pojo()

## Method Details

### setByte

public void setByte(byte b)

### getByte

public byte getByte()

### setLong

public void setLong(long l)

### getLong

public long getLong()

### setDecimal

public void setDecimal(BigDecimal d)

### getDecimal

public BigDecimal getDecimal()

### setDateTime

public void setDateTime(LocalDateTime t)

### getDateTime

public LocalDateTime getDateTime()

### setArray

public void setArray(long[] a)

### getArray

public long[] getArray()

### setTuple

public void setTuple(List<?> p)

### getTuple

public List<?> getTuple()

### setNested

public void setNested(Object[][] n)

### getNested

public Object[][] getNested()

### setJson

public void setJson(Object j)

### getJson

public Object getJson()